Ha, yup. 3 years ago, man that's a long time. That might have been before the Duct/Pipe program came around from ASMI which is the most phenomenal program for double line. I'm looking for an unlimited amount of entries (in theory). I really wish I could find that old program, it was freaking perfect man.
Lee, I think that might have been the thread, but I still want to see I remember something that was more than just two PLINES. I'm pretty sure....
David/Alan, these are both exactly what I wanted, on the mark. It's funny because now I have used each of y'alls program, I realize with my initial clarification, this creates the program to always have a centerline which means the offsets increment in odd numbers. The lowest amount of PLINES it creates is 3 because if you use an offset distance of one, it creates two offset PLINES along with the center. So I can only have an odd number of PLINES (3, 5, 7, etc). So, come to think of it due to my lack of a programmers approach, I created an odd number of PLINES only. Meh, no worries, its easier just to delete one PLINE to get what I need. It seems it would be too much trouble to re-write these programs. It already gets me way ahead of the game. It's only for schematic layout of mechanical piping in plan view, so it doesn't have to be spectacular.
Speaking off, how the crap can y'all write so much code so quickly? Ugh... I'm always so envious of programmers that can "whip something up". What I need to do is get some authorization to pay one of y'all to build a complete custom suite that fits our company needs and standards.
Anyways, I always feel humiliated like I'm asking for a freebie and most of y'all have always helped me out and I undoubtedly appreciate it. I can't help but to always feel in debt to the few of you who have always lent a hand with some LISP help.
Also an extra we wrote an auto measure so if you come in tomorow you don't have to remember width settings from day before, just drag a line over what you have drawn previously measure the offsets sq and in your case also how many you need to create. This could be added to alanjt's as an option when asking for widths etc.
Nice thing is just have some preset examples in your drawing floating around or bring into drawing a block containing line answers.
Anyway you should be able to pull this apart have a look at the date 1993!
[code];;;---------------------------------------------------------------------------;4;;;;;; ;; ;;; by Alan;;; 1 june 1993;;; ;;; DESCRIPTION;;; measure wall by dragging across sets w2 w3 w4 ;;;;---------------------------------------------------------------------------;;;;---------------------------------------------------------------------------;;;; Main Program.;;;---------------------------------------------------------------------------;(setvar "cmdecho" 0)(defun cal_ang_pt ()(while (setq en (ssname ss 0)) (setq pt3 (cdr (assoc 10 (entget en)))) (setq pt4 (cdr (assoc 11 (entget en)))) (setq pt5 (inters pt1 pt2 pt3 pt4 nil)) (setq dist (distance pt1 pt5)) (command "line" pt1 "perp" pt5 "") (command "erase" "Last" "") (setq pt6 (getvar "lastpoint")) (setq sss (cons pt6 sss)) (ssdel en ss) ))(setq pt1 (getpoint "\nPick first point on inside of wall :"))(setq pt2 (getpoint pt1 "\nPick second point on outside of wall :"))(setq ss (ssget "F" (list pt1 pt2))) (defun sort_pts ()(setq dimno (length sss))(setq I 0) (setq maxx (- dimno 1))(while (/= I maxx) (setq j0 pt1)(setq J 1)(setq K (- dimno I) ) (while (/= J K) (setq j3 (LIST 1 1 1)) (setq j4 (LIST 2 2 2)) (setq j2 (nth J sss)) (setq L (- j 1)) (setq j1 (nth L sss)) (if (